/*
 * Copyright (C) 2019 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

syntax = "proto2";
option java_multiple_files = true;

package android.app;

import "frameworks/base/core/proto/android/privacy.proto";
import "frameworks/proto_logging/stats/enums/app/app_enums.proto";

/**
 * An android.app.ApplicationStartInfo object.
 */
message ApplicationStartInfoProto {
    option (.android.msg_privacy).dest = DEST_AUTOMATIC;

    optional int32 pid = 1;
    optional int32 real_uid = 2;
    optional int32 package_uid = 3;
    optional int32 defining_uid = 4;
    optional string process_name = 5;
    optional AppStartStartupState startup_state = 6;
    optional AppStartReasonCode reason = 7;
    optional bytes startup_timestamps = 8;
    optional AppStartStartType start_type = 9;
    optional bytes start_intent = 10;
    optional AppStartLaunchMode launch_mode = 11;
    optional bool was_force_stopped = 12;
}
